package com.hotent.project.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.baseInfo.model.CostDocumentTemplateFile;
import com.hotent.project.model.CostProjectDocument;
import com.hotent.base.manager.BaseManager;
import com.hotent.project.model.CostProjectDocumentFile;
import com.hotent.project.req.CostProjectBasePageReq;
import com.hotent.project.req.CostProjectDocumentPageReq;
import com.hotent.project.req.CostProjectDocumentReq;
import com.hotent.project.resp.CostProjectDocumentResp;
import com.hotent.req.PageReq;

import java.util.List;
import java.util.Map;

/**
 * 监审项目文书表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-26
 */
public interface CostProjectDocumentManager extends BaseManager<CostProjectDocument> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostProjectDocument getDetail(String id);
	/**
	 * 新建、更新监审项目文书表
	 * @param costProjectDocument
	 * @return
	 */
	void createOrUpdate(CostProjectDocument costProjectDocument);


	IPage<CostProjectDocument> pageList(CostProjectDocumentPageReq req) throws Exception;


//	void create(CostProjectDocument costProjectDocument);

	void update(CostProjectDocument costProjectDocument);

	List<CostProjectDocument> getListByProjectId(String projectId);

	String create(CostProjectDocumentReq req) throws Exception;

	List<CostProjectDocumentFile> getDocumentFileList(String id);


	void updateProjectDocument(CostProjectDocumentReq req);


	void deleteByIds(List<String> ids);

	CostProjectDocumentResp getByProjectId(String projectId);

	String createDocument(String id);


	void feedbackDocumentUrl(CostProjectDocumentReq req);
}
